/////////////////////////////////////////////////////////////////////////////
//
//  GEM Form Window
//
//  A GEMformwindow is a GEMwindow which has a GEMform as its contents.
//
//  These objects would mainly be used via attaching "call backs" to
//  objects within the GEMform (see appropriate header file).
//
//  This file is Copyright 1992 by Warwick W. Allison,
//  and is freely distributable providing no charge is made.
//
/////////////////////////////////////////////////////////////////////////////

#ifndef GEMFW_h
#define GEMFW_h

#include "gemfeedb.h"
#include "gemf.h"
#include "gemw.h"
#include <bool.h>
#include <gemfast.h>


class GEMformwindow : public GEMform, public GEMwindow
{
public:
	GEMformwindow(int RSCindex, int Parts=NAME|CLOSER|MOVER);

	virtual void Redraw(GRECT&);
	virtual void move(int x, int y);
	virtual void top(int x, int y);
	virtual ClickResult click(int x, int y);
	virtual void RedrawObject(int RSCindex);
	virtual void RedrawObject(int RSCindex,int Cx,int Cy,int Cw,int Ch); // Clipped

private:
	void Edit(int Object, int Char);
};

#endif
